IF NOT EXIST %systemroot%\SysWOW64\tabctl32.ocx (
copy %~dp0tabctl32.ocx %systemroot%\SysWOW64\tabctl32.ocx
) ELSE ( 
REM ECHO "Exists"
)
IF NOT EXIST %systemroot%\SysWOW64\vsflex6.ocx (
copy %~dp0vsflex6.ocx %systemroot%\SysWOW64\vsflex6.ocx
) ELSE ( 
REM ECHO "Exists"
)
regsvr32 /s %systemroot%\SysWOW64\tabctl32.ocx -u
regsvr32 /s %systemroot%\SysWOW64\tabctl32.ocx
regsvr32 /s %systemroot%\SysWOW64\vsflex6.ocx -u
regsvr32 /s %systemroot%\SysWOW64\vsflex6.ocx
regsvr32 /s %systemroot%\SysWOW64\crviewer.dll -u
regsvr32 /s %systemroot%\SysWOW64\crviewer.dll

ipconfig/all > c:\dsoft\newip.txt